Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.codec.registry.EPPRegistryTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPRegistryTst

extends junit.framework.TestCase

Constructor Summary
`EPPRegistryTst(java.lang.String name)`

Method Summary
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
`static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
`protected void` | `setUp()` JUNIT `setUp`, which currently does nothing.
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPRegistryTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testRegistryCheck()`
`void` | `testRegistryCreate()`
`void` | `testRegistryDelete()`
`void` | `testRegistryInfo()`
`void` | `testRegistryUpdate()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPRegistryTst

    public EPPRegistryTst(java.lang.String name)

Method Detail

### testRegistryInfo

    public void testRegistryInfo()

### testRegistryCheck

    public void testRegistryCheck()

### testRegistryCreate

    public void testRegistryCreate()

### testRegistryUpdate

    public void testRegistryUpdate()

### testRegistryDelete

    public void testRegistryDelete()

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.

  Parameters:
    `args` - DOCUMENT ME!

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPRegistryTst`.

  Returns:
    DOCUMENT ME!

### setUp

    protected void setUp()

  JUNIT `setUp`, which currently does nothing.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### setNumIterations

    public static void setNumIterations(long aNumIterations)

  Sets the number of iterations to run per test.

  Parameters:
    `aNumIterations` - number of iterations to run per test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.